Games

Game-related operations

circle-info

This document uses the REST API. For more details, see the Working with the REST API page.

List Games

get
/games

Retrieves a list of games.

Query parameters
pageintegerOptional

Page number for pagination

limitintegerOptional

Number of items per page

provider_idintegerOptional

Filter games by provider ID

category_idintegerOptional

Filter games by category ID

Responses
chevron-right
200

Successful operation

application/json
get
/games

Get Game

get
/games/{id}

Retrieves a specific game by ID.

Path parameters
idintegerRequired
Responses
chevron-right
200

Successful operation

application/json
idintegerOptionalExample: 1
provider_idintegerOptionalExample: 1
sub_provider_idintegerOptionalExample: 2
category_idintegerOptionalExample: 1
namestringOptionalExample: Sweet Bonanza
slugstringOptionalExample: pragmatic-play-sweet-bonanza
hashstringOptionalExample: 7b5c8a93-4d3a-4bfb-8554-f923d46aa485
descriptionstringOptionalExample: Sweet Bonanza is a 6-reel video slot with a tumbling feature and a sweet theme.
featuredbooleanOptionalDefault: false
hotbooleanOptionalDefault: false
newbooleanOptionalDefault: false
rtpnumberOptional

Return To Players percentage of the game. Stored as decimal in a form of a string. Shows how much of the total bet amount will be redistributed between players as winnings.

Example: 96.51
hit_ratiostringOptional

The Hit Ratio indicates the ratio between winning and losing bets in a span of 100 bets. Stored as decimal in a form of a string.

Example: 24.47
volatilityinteger · enumOptional

Shows how volatile game is on scale of 1-6.
1 - Low
2 - Medium-Low
3 - Medium
4 - Medium-High
5 - High
6 - Very High

Example: 3Possible values:
paylinesintegerOptional

Shows maximum number of available paylines in the game.

Example: 20,
desktopbooleanOptionalDefault: true
mobilebooleanOptionalDefault: true
iframebooleanOptionalDefault: true
animatedbooleanOptionalDefault: false
jackpotsbooleanOptionalDefault: false
buy_featurebooleanOptionalDefault: false
allow_bonusbooleanOptionalDefault: false
demo_modebooleanOptionalDefault: false
release_datestring · dateOptional

Original date when the game was released.

activebooleanOptionalDefault: true
created_atstring · date-timeOptional
updated_atstring · date-timeOptional
get
/games/{id}

List Game Providers

get
/games/providers

Retrieves a list of game providers.

Query parameters
pageintegerOptional

Page number for pagination

limitintegerOptional

Number of items per page

Responses
chevron-right
200

Successful operation

application/json
get
/games/providers

Get Game Provider

get
/games/providers/{id}

Retrieves a specific game provider by ID.

Path parameters
idintegerRequired
Responses
chevron-right
200

Successful operation

application/json
idintegerOptionalExample: 1
hashstringOptionalExample: f562a685-a160-4d17-876d-ab3363db331c
namestringOptionalExample: Pragmatic Play
descriptionstringOptionalExample: Pragmatic Play is a leading content provider to the iGaming Industry, offering a multi-product portfolio that is innovative, regulated, and mobile-focused.
slugstringOptionalExample: pragmatic-play
modestring · enumOptionalPossible values:
restricted_countriesstringOptionalExample: US, UK
allow_bonusbooleanOptionalDefault: false
upcomingbooleanOptionalDefault: false
activebooleanOptionalDefault: true
created_atstring · date-timeOptional
updated_atstring · date-timeOptional
get
/games/providers/{id}

List Game Categories

get
/games/categories

Retrieves a list of game categories.

Query parameters
pageintegerOptional

Page number for pagination

limitintegerOptional

Number of items per page

Responses
chevron-right
200

Successful operation

application/json
get
/games/categories

Get Game Category

get
/games/categories/{id}

Retrieves a specific game category by ID.

Path parameters
idintegerRequired
Responses
chevron-right
200

Successful operation

application/json
idintegerOptionalExample: 1
namestringOptionalExample: Slots
slugstringOptionalExample: slots
descriptionstringOptionalExample: Slot machines are the most popular gambling method in casinos and constitute about 70 percent of the average casino's income.
main_categorybooleanOptionalDefault: true
livebooleanOptionalDefault: false
allow_bonusbooleanOptionalDefault: false
activebooleanOptionalDefault: true
created_atstring · date-timeOptional
updated_atstring · date-timeOptional
get
/games/categories/{id}

Last updated